# TODO: add plugins (https://github.com/nomacs/nomacs-plugins/)
Summary:	Lightweight image viewer
Summary(pl.UTF-8):	Lekka przeglądarka obrazków
Name:		nomacs
Version:	3.12
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	https://github.com/nomacs/nomacs/archive/%{version}/%{name}-%{version}-source.tar.gz
# Source0-md5:	7b2160cbcf907ee080d696c61b3dc4e8
Patch0:		%{name}-libqpsd.patch
URL:		http://nomacs.org/
BuildRequires:	Qt5Concurrent-devel >= 5.2.1
BuildRequires:	Qt5Core-devel >= 5.2.1
BuildRequires:	Qt5Gui-devel >= 5.2.1
BuildRequires:	Qt5Network-devel >= 5.2.1
BuildRequires:	Qt5Svg-devel >= 5.2.1
BuildRequires:	cmake >= 2.8
BuildRequires:	desktop-file-utils
BuildRequires:	dos2unix
BuildRequires:	exiv2-devel >= 0.25
BuildRequires:	libqpsd-qt5-devel
BuildRequires:	libraw-devel >= 0.17
BuildRequires:	libstdc++-devel >= 6:4.3
BuildRequires:	libtiff-devel
BuildRequires:	libtiff-cxx-devel
BuildRequires:	libwebp-devel >= 0.3.1
BuildRequires:	opencv-devel >= 2.4.6
BuildRequires:	pkgconfig
BuildRequires:	qt5-build >= 5.2.1
BuildRequires:	qt5-linguist >= 5.2.1
BuildRequires:	qt5-qmake >= 5.2.1
BuildRequires:	quazip-qt5-devel >= 0.7
Requires:	Qt5Concurrent >= 5.2.1
Requires:	Qt5Core >= 5.2.1
Requires:	Qt5Gui >= 5.2.1
Requires:	Qt5Network >= 5.2.1
Requires:	Qt5Svg >= 5.2.1
Requires:	exiv2-libs >= 0.25
Requires:	libraw >= 0.17
Requires:	opencv >= 2.4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		skip_post_check_so	libnomacsCore.so.*
%description
nomacs is image viewer based on Qt library.

nomacs is small, fast and able to handle the most common image
formats. Additionally it is possible to synchronize multiple viewers
running on the same computer or via LAN is possible. It allows to
compare images and spot the differences e.g. schemes of architects to
show the progress).

%description -l pl.UTF-8
nomacs to przeglądarka obrazków oparta na bibliotece Qt.

nomacs jest mała, szybka i potrafi obsłużyć większość popularnych
formatów obrazów. Ponadto możliwa jest synchronizacja wielu
przeglądarek działających na tym samym komputerze lub poprzez sieć
lokalną. Przeglądarka pozwala porównywać obrazki i wskazywać różnice,
np. projekty architektów w celu pokazania postępów.

%prep
%setup -q
cd ImageLounge
%patch0 -p1

%{__rm} -r 3rdparty/libqpsd

%build
install -d build
cd build
%cmake ../ImageLounge \
	-DENABLE_PLUGINS=ON \
	-DENABLE_RAW=1 \
	-DUSE_SYSTEM_LIBQPSD=ON \
	-DUSE_SYSTEM_QUAZIP=ON \
	-DUSE_SYSTEM_WEBP=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

# API not exported, so keep only library files + soname symlinks
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libnomacs*.so

desktop-file-validate $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_desktop_database

%postun
/sbin/ldconfig
%update_desktop_database

%files
%defattr(644,root,root,755)
%doc ImageLounge/Readme/{COPYRIGHT,LICENSE.OPENCV,README}
%attr(755,root,root) %{_bindir}/nomacs
%attr(755,root,root) %{_libdir}/libnomacsCore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnomacsCore.so.3
%{_mandir}/man1/nomacs.1*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/Image*
%{_datadir}/metainfo/nomacs.appdata.xml
%{_desktopdir}/nomacs.desktop
%{_pixmapsdir}/nomacs.svg
%changelog
* Mon Feb 11 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nomacs.git;a=log;h=master

* Mon Feb 11 2019 Jan Rękorajski <baggins@pld-linux.org> a9fff72
- up to 3.12

* Sat Apr 28 2018 Jan Rękorajski <baggins@pld-linux.org> 2d410ba
- rebuild with opencv 3.4
- release 4 (by relup.sh)

* Mon Sep 25 2017 Jan Rękorajski <baggins@pld-linux.org> 32a80ff
- rebuild with exiv2 0.26
- release 3 (by relup.sh)

* Sat Feb 25 2017 Jan Rękorajski <baggins@pld-linux.org> e0dec59
- release 2 (by relup.sh)

* Sun Sep 11 2016 Jakub Bogusz <qboosh@pld-linux.org> def72f2
- just exiv2-libs

* Sat Sep 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 3633b8c
- appdata file already upstream

* Sat Sep 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 723c4b5
- added libqpsd patch, use system libqpsd
- use upstream provided appdata file

* Sat Sep 10 2016 Jakub Bogusz <qboosh@pld-linux.org> af2a979
- updated to 3.4.1
- updated quazip-qt5 patch
- removed obsolete cmake patch

* Sat Apr 16 2016 Jan Rękorajski <baggins@pld-linux.org> 7ca6d37
- fix building with system quazip
- rel 1

* Thu Mar 31 2016 Jan Rękorajski <baggins@pld-linux.org> afd8e3b
- started update to 3.0.0, quazip linking fix needed

* Sun Jan 03 2016 Jan Rękorajski <baggins@pld-linux.org> 83ef27d
- release 3 (by relup.sh)

* Mon Dec 07 2015 Jan Rękorajski <baggins@pld-linux.org> edadcf6
- release 2 (by relup.sh)

* Mon Dec 07 2015 Jakub Bogusz <qboosh@pld-linux.org> cd4112e
- updated to 2.4.6
- added qt5 bcond

* Sun May 17 2015 Elan Ruusamäe <glen@delfi.ee> 0fe03e9
- update BR

* Sun May 17 2015 Elan Ruusamäe <glen@delfi.ee> 8861805
- BR pkgconfig, qt4-qmake

* Sun May 17 2015 Elan Ruusamäe <glen@delfi.ee> 18becc0
- cflags hack not needed in pld

* Sun May 17 2015 Elan Ruusamäe <glen@delfi.ee> baec5b4
- new, version 2.4.4

